org.jboss.resteasy.core.interception

## Class WriterInterceptorRegistry

- java.lang.Object
- - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry<WriterInterceptor>
  - - org.jboss.resteasy.core.interception.WriterInterceptorRegistry

-     public class WriterInterceptorRegistry
      extends JaxrsInterceptorRegistry<WriterInterceptor>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WriterInterceptorRegistry.WriterInterceptorFacade`

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `JaxrsInterceptorRegistry.AbstractInterceptorFactory, JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory, JaxrsInterceptorRegistry.AscendingPrecedenceComparator, JaxrsInterceptorRegistry.DescendingPrecedenceComparator, JaxrsInterceptorRegistry.InterceptorFactory, JaxrsInterceptorRegistry.LegacyPerMethodInterceptorFactory, JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory, JaxrsInterceptorRegistry.Match, JaxrsInterceptorRegistry.OnDemandInterceptorFactory, JaxrsInterceptorRegistry.SingletonInterceptorFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LegacyPrecedence` | `precedence`

    - ### Fields inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `cachedPreMatch, interceptors, intf, listeners, providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriterInterceptorRegistry(ResteasyProviderFactory providerFactory, LegacyPrecedence precedence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WriterInterceptorRegistry` | `clone(ResteasyProviderFactory factory)`
    `void` | `registerLegacy(Class<? extends MessageBodyWriterInterceptor> decl)`
    `void` | `registerLegacy(MessageBodyWriterInterceptor interceptor)`

    - ### Methods inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `getIntf, getListeners, getNameBound, getPriority, postMatch, preMatch, register, registerClass, registerClass, registerSingleton, registerSingleton, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### precedence

          protected LegacyPrecedence precedence

  - ### Constructor Detail

    - #### WriterInterceptorRegistry

          public WriterInterceptorRegistry(ResteasyProviderFactory providerFactory,
                                   LegacyPrecedence precedence)

  - ### Method Detail

    - #### clone

          public WriterInterceptorRegistry clone(ResteasyProviderFactory factory)

      Overrides:
        `clone` in class `JaxrsInterceptorRegistry<WriterInterceptor>`

    - #### registerLegacy

          public void registerLegacy(Class<? extends MessageBodyWriterInterceptor> decl)

    - #### registerLegacy

          public void registerLegacy(MessageBodyWriterInterceptor interceptor)

Copyright © 2014. All Rights Reserved.